'use strict';var wellKnownSymbol=require('./well-known-symbol-f1447879.js'),normalizeComponent=require('./normalize-component-a3a558e7.js'),objectKeys$1=require('./object-keys-1798218f.js');var DESCRIPTORS = normalizeComponent.d;
var objectKeys = objectKeys$1.o;
var toIndexedObject = wellKnownSymbol.f;
var propertyIsEnumerable = wellKnownSymbol.z.f;

// `Object.{ entries, values }` methods implementation
var createMethod = function (TO_ENTRIES) {
  return function (it) {
    var O = toIndexedObject(it);
    var keys = objectKeys(O);
    var length = keys.length;
    var i = 0;
    var result = [];
    var key;
    while (length > i) {
      key = keys[i++];
      if (!DESCRIPTORS || propertyIsEnumerable.call(O, key)) {
        result.push(TO_ENTRIES ? [key, O[key]] : O[key]);
      }
    }
    return result;
  };
};

var objectToArray = {
  // `Object.entries` method
  // https://tc39.es/ecma262/#sec-object.entries
  entries: createMethod(true),
  // `Object.values` method
  // https://tc39.es/ecma262/#sec-object.values
  values: createMethod(false)
};var $ = wellKnownSymbol._;
var $values = objectToArray.values;

// `Object.values` method
// https://tc39.es/ecma262/#sec-object.values
$({ target: 'Object', stat: true }, {
  values: function values(O) {
    return $values(O);
  }
});